/*

  Marco Falcioni (C) 1997

  intensities: used by spots


  (C) 1997 Marco Falcioni (falcioni@ucla.edu)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
  USA.

  http://www.fsf.org/copyleft/gpl.html



*/

#ifndef __intensity_h
#define __intensity_h


#include <stdio.h>

struct Intensity {
  double calc;
  double value;
  int sigma;
  struct Intensity * composite;
};



/* function prototypes */
struct Intensity * new_Intensity(void);
void delete_Intensity(struct Intensity * me);
void copy_Intensity(const struct Intensity * me, struct Intensity * to_me);
void print_Intensity(const struct Intensity * me, FILE * const stream);

#endif
